Package org.h2gis.functions.spatial.create

## Class ST_MinimumBoundingRadius

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MinimumBoundingRadius

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_MinimumBoundingRadius
    extends org.h2gis.api.DeterministicScalarFunction

Computes the center point and radius of the smallest circle that contains a geometry

Author:
  Erwan Bocher, CNRS, 2023

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MinimumBoundingRadius()` Constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ResultSet` `execute​(Connection connection, org.h2.value.Value value)` Computes the center point and radius of the smallest circle that contains a geometry
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MinimumBoundingRadius

    public ST_MinimumBoundingRadius()

Constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static ResultSet execute​(Connection connection,
                                    org.h2.value.Value value)
                             throws SQLException

Computes the center point and radius of the smallest circle that contains a geometry

Parameters:
  `value` - Any geometry, select query or table name
Returns:
  Minimum bounding circle center point plus its radius
Throws:
  `SQLException`